<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output
    method="text"
    indent="no"
    encoding="ISO-8859-1"
	media-type="text/plain"
/>
<xsl:strip-space elements="*" />
<xsl:variable name="space">
<xsl:text> </xsl:text>
</xsl:variable>
<!-- 
Dieses Formatierungsdatei ordnet die Veranstaltungen nach Veranstaltungstitel.
-->

<xsl:key name="title" match="Veranstaltung" use="_event_TITLE"/>

<xsl:template match="/root/Export">
<!-- Definition von Kopf und Fusszeile -->
{header}<xsl:value-of select="Veranstaltung/_user_REALNAME"/>{/header}
{footer}{font color=#333333 size=8 face=arial}powered by www.evangelische-termine.de{/font}{/footer}
{font face=arial size=12}
<xsl:call-template name="veranstaltungen"/>
{/font}
</xsl:template>


<!-- Fuegen Sie bei Bedarf weiter Datenbankfelder in die Ausgabe ein: xsl:value-of -->

<xsl:template name="veranstaltungen">
<xsl:for-each select="Veranstaltung[generate-id(.)=generate-id(key('title',_event_TITLE)[1])]">
<xsl:sort select="_event_TITLE"/>
	<xsl:for-each select="key('title',_event_TITLE)">
	<xsl:sort select="START"/>
	<xsl:if test="position() = 1">
	 {p before=5}{b}<xsl:value-of select="_event_TITLE"/>{/b}
	</xsl:if> 
	{p}<xsl:value-of select="WOCHENTAG_START_KURZ"/>, <xsl:value-of select="START_DATUM"/>,
	<xsl:value-of select="START_UHRZEIT"/> Uhr <xsl:if test="_person_NAME!=''" ><xsl:value-of select="$space" />mit <xsl:value-of select="_person_NAME"/></xsl:if><xsl:if test="_event_SHORT_DESCRIPTION!=''" >, <xsl:value-of select="_event_SHORT_DESCRIPTION"/></xsl:if>
	</xsl:for-each>
	
</xsl:for-each>

</xsl:template>
</xsl:stylesheet>