<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output
    method="text"
    indent="no"
    encoding="ISO-8859-1"
	media-type="text/plain"
/>
<xsl:strip-space elements="*" />


<xsl:variable name="space">
<xsl:text> </xsl:text>
</xsl:variable>

<!-- 
Dieses Formatierungsdatei ordnet die Veranstaltungen nach Veranstaltern.
-->

<xsl:key name="user" match="Veranstaltung" use="_user_REALNAME"/>

<xsl:template match="/root/Export">
<!-- Definition von Kopf und Fusszeile -->
{header}Liste der Veranstaltungen{/header}
{footer}{font color=#333333 size=8 face=arial}powered by www.evangelische-termine.de{/font}{/footer}
{font face=arial size=12}
<xsl:call-template name="veranstaltungen"/>
{/font}
</xsl:template>


<!-- Fuegen Sie bei Bedarf weiter Datenbankfelder in die Ausgabe ein: xsl:value-of -->

<xsl:template name="veranstaltungen">
<xsl:for-each select="Veranstaltung[generate-id(.)=generate-id(key('user',_user_REALNAME)[1])]">
<xsl:sort select="_user_REALNAME"/>
	<xsl:for-each select="key('user',_user_REALNAME)">
	<xsl:sort select="_place_NAME"/>
	<xsl:sort select="START"/>
	<xsl:if test="position() = 1">
	 {br}{b}<xsl:value-of select="_user_REALNAME"/>{/b}{br}
	</xsl:if>
	
		<xsl:call-template name="Ort"/>
		
		<xsl:call-template name="titel"/>, 
		
		<xsl:value-of select="WOCHENTAG_START_KURZ"/><xsl:value-of select="$space" />
		<xsl:value-of select="START_DATUM"/>, 
		<xsl:value-of select="START_UHRZEIT"/><xsl:value-of select="$space" />
		<xsl:value-of select="_person_SURNAME"/>{br}
			
		
		
	</xsl:for-each>
	
</xsl:for-each>

</xsl:template>


<xsl:template name="titel">
	<xsl:variable name="aTitle" select="_event_TITLE" />
	
	<!-- Fuegen Sie bei Bedarf weitere Ersetzungen durch -->
	
	<xsl:choose>
	<xsl:when test="$aTitle='Gottesdienst'">
		<xsl:text>GD</xsl:text>
	</xsl:when>
	<xsl:when test="$aTitle='Familiengottesdienst'">
		<xsl:text>FamGD</xsl:text>
	</xsl:when>
	<xsl:when test="$aTitle='Abendmahlsgottesdienst'">
		<xsl:text>GD m.A.</xsl:text>
	</xsl:when>
	<xsl:when test="$aTitle='Gottesdienst mit Abendmahl'">
		<xsl:text>GD m.A.</xsl:text>
	</xsl:when>
	<xsl:otherwise>
		<xsl:value-of select="_event_TITLE"/>
	</xsl:otherwise>

	</xsl:choose>
</xsl:template>


<xsl:template name="Ort">
	<xsl:variable name="last" select="_place_NAME" />
	<xsl:variable name="userrealname" select="_user_REALNAME" />
		
	<xsl:if test="not(preceding-sibling::Veranstaltung[_place_NAME=$last])">
		<xsl:if test="not(contains($userrealname,$last))">
			<xsl:if test="not($userrealname=$last)">
			{b}<xsl:value-of select="_place_NAME"/>{/b},<xsl:value-of select="$space" />
			</xsl:if>
		</xsl:if>
	</xsl:if>
</xsl:template>


</xsl:stylesheet>